<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::menu_item_submenu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1menu__item__submenu.html">menu_item_submenu</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1menu__item__submenu-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::menu_item_submenu Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::menu_item_submenu:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1menu__item__submenu.png" usemap="#dlib::menu_5Fitem_5Fsubmenu_map" alt=""/>
  <map id="dlib::menu_5Fitem_5Fsubmenu_map" name="dlib::menu_5Fitem_5Fsubmenu_map">
<area href="classdlib_1_1menu__item.html" alt="dlib::menu_item" shape="rect" coords="0,0,154,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af9389fbd8142bd8d0bab304c05d900a3"><td class="memItemLeft" align="right" valign="top"><a id="af9389fbd8142bd8d0bab304c05d900a3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>menu_item_submenu</b> (const std::string &amp;str, unichar hk=0)</td></tr>
<tr class="separator:af9389fbd8142bd8d0bab304c05d900a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ccc8685dd0e92c9370df3ea8bf44d0d"><td class="memItemLeft" align="right" valign="top"><a id="a7ccc8685dd0e92c9370df3ea8bf44d0d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>menu_item_submenu</b> (const std::wstring &amp;str, unichar hk=0)</td></tr>
<tr class="separator:a7ccc8685dd0e92c9370df3ea8bf44d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af086ea57e23d140c5212e192d527c052"><td class="memItemLeft" align="right" valign="top"><a id="af086ea57e23d140c5212e192d527c052"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>menu_item_submenu</b> (const dlib::ustring &amp;str, unichar hk=0)</td></tr>
<tr class="separator:af086ea57e23d140c5212e192d527c052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08efb2059e846bb860456f67b421ceb5"><td class="memItemLeft" align="right" valign="top"><a id="a08efb2059e846bb860456f67b421ceb5"></a>
virtual unichar&#160;</td><td class="memItemRight" valign="bottom"><b>get_hot_key</b> () const</td></tr>
<tr class="separator:a08efb2059e846bb860456f67b421ceb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78d4e13a1396802b830ec396c2e4ac23"><td class="memItemLeft" align="right" valign="top"><a id="a78d4e13a1396802b830ec396c2e4ac23"></a>
virtual <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_middle_size</b> () const</td></tr>
<tr class="separator:a78d4e13a1396802b830ec396c2e4ac23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1baaceee902dcc2ea0b3a3f760428bad"><td class="memItemLeft" align="right" valign="top"><a id="a1baaceee902dcc2ea0b3a3f760428bad"></a>
virtual <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_right_size</b> () const</td></tr>
<tr class="separator:a1baaceee902dcc2ea0b3a3f760428bad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05a00a4ea5b428599a2cc212acd3180"><td class="memItemLeft" align="right" valign="top"><a id="ad05a00a4ea5b428599a2cc212acd3180"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>draw_background</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, const bool enabled, const bool is_selected) const</td></tr>
<tr class="separator:ad05a00a4ea5b428599a2cc212acd3180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1788e09ce883b359754e96ed771a2714"><td class="memItemLeft" align="right" valign="top"><a id="a1788e09ce883b359754e96ed771a2714"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>draw_right</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, const bool enabled, const bool) const</td></tr>
<tr class="separator:a1788e09ce883b359754e96ed771a2714"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d88cf7d83be380b9c47c569e075759"><td class="memItemLeft" align="right" valign="top"><a id="ac5d88cf7d83be380b9c47c569e075759"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>draw_middle</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;rect, const bool enabled, const bool) const</td></tr>
<tr class="separator:ac5d88cf7d83be380b9c47c569e075759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1menu__item"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1menu__item')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a></td></tr>
<tr class="memitem:a943fad7a40d7bd807588bb362d90461e inherit pub_methods_classdlib_1_1menu__item"><td class="memItemLeft" align="right" valign="top"><a id="a943fad7a40d7bd807588bb362d90461e"></a>
virtual <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_left_size</b> () const</td></tr>
<tr class="separator:a943fad7a40d7bd807588bb362d90461e inherit pub_methods_classdlib_1_1menu__item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f83b28219d23fdbaf78f057dfb4906 inherit pub_methods_classdlib_1_1menu__item"><td class="memItemLeft" align="right" valign="top"><a id="a07f83b28219d23fdbaf78f057dfb4906"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>draw_left</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;, const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;, const bool, const bool) const</td></tr>
<tr class="separator:a07f83b28219d23fdbaf78f057dfb4906 inherit pub_methods_classdlib_1_1menu__item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af009d57c3c79f662651cea7b316168e3 inherit pub_methods_classdlib_1_1menu__item"><td class="memItemLeft" align="right" valign="top"><a id="af009d57c3c79f662651cea7b316168e3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_click</b> () const</td></tr>
<tr class="separator:af009d57c3c79f662651cea7b316168e3 inherit pub_methods_classdlib_1_1menu__item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e138bcf4a899cd228732dca74737ae4 inherit pub_methods_classdlib_1_1menu__item"><td class="memItemLeft" align="right" valign="top"><a id="a0e138bcf4a899cd228732dca74737ae4"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><b>has_click_event</b> () const</td></tr>
<tr class="separator:a0e138bcf4a899cd228732dca74737ae4 inherit pub_methods_classdlib_1_1menu__item"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a41974cf2762d3b1ac5e2d505f4470907"><td class="memItemLeft" align="right" valign="top"><a id="a41974cf2762d3b1ac5e2d505f4470907"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize</b> (unichar hk)</td></tr>
<tr class="separator:a41974cf2762d3b1ac5e2d505f4470907"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a53da96d259b4357b269860c91f174e69"><td class="memItemLeft" align="right" valign="top"><a id="a53da96d259b4357b269860c91f174e69"></a>
dlib::ustring&#160;</td><td class="memItemRight" valign="bottom"><b>text</b></td></tr>
<tr class="separator:a53da96d259b4357b269860c91f174e69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac79d47d8c403f90ce8193e76e322aac2"><td class="memItemLeft" align="right" valign="top"><a id="ac79d47d8c403f90ce8193e76e322aac2"></a>
const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>f</b></td></tr>
<tr class="separator:ac79d47d8c403f90ce8193e76e322aac2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62cf73a7ec1b23819b7854fbdd394033"><td class="memItemLeft" align="right" valign="top"><a id="a62cf73a7ec1b23819b7854fbdd394033"></a>
<a class="el" href="classdlib_1_1any__function.html">any_function</a>&lt; void()&gt;&#160;</td><td class="memItemRight" valign="bottom"><b>action</b></td></tr>
<tr class="separator:a62cf73a7ec1b23819b7854fbdd394033"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4699099e6c8a96e1469e980f490896bb"><td class="memItemLeft" align="right" valign="top"><a id="a4699099e6c8a96e1469e980f490896bb"></a>
unichar&#160;</td><td class="memItemRight" valign="bottom"><b>hotkey</b></td></tr>
<tr class="separator:a4699099e6c8a96e1469e980f490896bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8853891e27f3f938613b18d19d43152c"><td class="memItemLeft" align="right" valign="top"><a id="a8853891e27f3f938613b18d19d43152c"></a>
<a class="el" href="classdlib_1_1vector.html">point</a>&#160;</td><td class="memItemRight" valign="bottom"><b>underline_p1</b></td></tr>
<tr class="separator:a8853891e27f3f938613b18d19d43152c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c557a2ec03204f64391da911531a11"><td class="memItemLeft" align="right" valign="top"><a id="a31c557a2ec03204f64391da911531a11"></a>
<a class="el" href="classdlib_1_1vector.html">point</a>&#160;</td><td class="memItemRight" valign="bottom"><b>underline_p2</b></td></tr>
<tr class="separator:a31c557a2ec03204f64391da911531a11"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="base__widgets_8h_source.html">base_widgets.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
